#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "WwisePlatformId.generated.h"

USTRUCT(BlueprintType)
struct FWwisePlatformId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGuid PlatformGuid;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName PlatformName;

public:
	WWISERESOURCELOADER_API FWwisePlatformId();
};

FORCEINLINE uint32 GetTypeHash(const FWwisePlatformId) { return 0; }
